> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs-beta.getzep.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-beta.getzep.com/_mcp/server.

# Get threads

GET https://api.getzep.com/api/v2/threads

Returns all threads.

Reference: https://docs-beta.getzep.com/sdk-reference/thread/get-threads

## Request

### Query parameters

- `page_number` (integer, optional) — Page number for pagination, starting from 1
- `page_size` (integer, optional) — Number of threads to retrieve per page.
- `order_by` (string, optional) — Field to order the results by: created_at, updated_at, user_id, thread_id.
- `asc` (boolean, optional) — Order direction: true for ascending, false for descending.

## Response

### 200

List of threads

- `response_count` (integer, optional)
- `threads` (list of apidata.Thread, optional)
- `total_count` (integer, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `message` (string, optional)

### 500 Internal Server Error

Internal Server Error

- `message` (string, optional)

## Types

### apidata.Thread

- `created_at` (string, optional)
- `graph_uuid` (string, optional) — GraphUUID is the graphs.uuid of the owning user's graph (spec-3 section 13.5).
- `project_uuid` (string, optional)
- `thread_id` (string, optional)
- `user_id` (string, optional)
- `user_uuid` (string, optional)
- `uuid` (string, optional)

## Examples

**Response**

```json
{
  "response_count": 1,
  "threads": [
    {
      "created_at": "string",
      "graph_uuid": "string",
      "project_uuid": "string",
      "thread_id": "string",
      "user_id": "string",
      "user_uuid": "string",
      "uuid": "string"
    }
  ],
  "total_count": 1
}
```